Subject: Ticket Assigned - 9559834012 / late delivery
From: Home Box <[email-masked]>
To: [email-masked]
Date: Tue, 08 Mar 2022 07:25:42 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  9559834012 / late delivery Ovais Younus                    When I will rcv this order           11:12 AM, 08th Mar                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           11:12 AM, 08th Mar                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            11:12 AM, 08th Mar                   Ahmed                   Kindly allow me few moments so I can check the details of your order            11:14 AM, 08th Mar                   Ahmed                   We deeply apologize for the experience you went through, and we would like to inform you that this is not the experience we would like our customers to have with us and that we seek to develop our services to have the best shopping experience with us next time.           11:21 AM, 08th Mar                   Ahmed                   I've just checked the order. We've escalated your request to the concerned team. It does take some time for them to process and action this. Kindly bear with us. As soon as we get an update, I will provide you with the resolution.           11:21 AM, 08th Mar                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3991954